#ifndef NexServo_h
#define NexServo_h

#define MAXSERVOS 8

Servo NexServo[MAXSERVOS];

void resetServos() {
  for (uint8_t i = 0; i < MAXSERVOS; i++) {
    if (NexServo[i].attached()) {
      NexServo[i].detach();  // Detach all attached servos and free up the pins
    }
  }
}

void initServos(uint8_t channels) {
  resetServos();
  for (uint8_t i = 0; i < channels; i++) {
    NexServo[i].attach(53 - i);  // Attach servos from the End (first on pin 53, second on pin 52 etc.)
  }
}

#endif